## mapraster 2026.01.06

=== Makefile ===
#* Variables
SHELL := /usr/bin/env bash
PYTHON := python
PYTHONPATH := `pwd`

#* Docker variables
IMAGE := mapraster
VERSION := latest

#* Poetry
.PHONY: poetry-download
poetry-download:
	curl -sSL https://install.python-poetry.org | python3 -
	$$HOME/.local/bin/poetry --version

.PHONY: poetry-remove
poetry-remove:
	curl -sSL https://raw.githubusercontent.com/python-poetry/poetry/master/install-poetry.py | $(PYTHON) - --uninstall

#* Installation
.PHONY: install
install:
	poetry lock -n && poetry export --without-hashes > requirements.txt
	poetry install -n
	-poetry run mypy --install-types --non-interactive ./

.PHONY: pre-commit-install
pre-commit-install:
	poetry run pre-commit install

#* Formatters
.PHONY: codestyle
codestyle:
	poetry run pyupgrade --exit-zero-even-if-changed --py39-plus **/*.py
	poetry run isort --settings-path pyproject.toml ./
	poetry run black --config pyproject.toml ./

.PHONY: formatting
formatting: codestyle

#* Linting
.PHONY: test
test:
	PYTHONPATH=$(PYTHONPATH) poetry run pytest -c pyproject.toml --cov-report=html --cov=mapraster tests/
	poetry run coverage-badge -o assets/images/coverage.svg -f

.PHONY: check-codestyle
check-codestyle:
	poetry run isort --diff --check-only --settings-path pyproject.toml ./
	poetry run black --diff --check --config pyproject.toml ./
	poetry run darglint --verbosity 2 mapraster tests

.PHONY: mypy
mypy:
	poetry run mypy --config-file pyproject.toml ./

.PHONY: check-safety
check-safety:
	poetry check
	poetry run bandit -ll --recursive mapraster tests

.PHONY: lint
lint: test check-codestyle mypy check-safety

.PHONY: update-dev-deps
update-dev-deps:
	poetry add -D bandit@latest darglint@latest "isort[colors]@latest" mypy@latest pre-commit@latest pydocstyle@latest pylint@latest pytest@latest pyupgrade@latest safety@latest coverage@latest coverage-badge@latest pytest-html@latest pytest-cov@latest
	poetry add -D --allow-prereleases black@latest

#* Docker
# Example: make docker-build VERSION=latest
# Example: make docker-build IMAGE=some_name VERSION=2025.12.18
.PHONY: docker-build
docker-build:
	@echo Building docker $(IMAGE):$(VERSION) ...
	docker build \
		-t $(IMAGE):$(VERSION) . \
		-f ./docker/Dockerfile --no-cache

# Example: make docker-remove VERSION=latest
# Example: make docker-remove IMAGE=some_name VERSION=2025.12.18
.PHONY: docker-remove
docker-remove:
	@echo Removing docker $(IMAGE):$(VERSION) ...
	docker rmi -f $(IMAGE):$(VERSION)

#* Cleaning
.PHONY: pycache-remove
pycache-remove:
	find . | grep -E "(__pycache__|\.pyc|\.pyo$$)" | xargs rm -rf

.PHONY: dsstore-remove
dsstore-remove:
	find . | grep -E ".DS_Store" | xargs rm -rf

.PHONY: mypycache-remove
mypycache-remove:
	find . | grep -E ".mypy_cache" | xargs rm -rf

.PHONY: ipynbcheckpoints-remove
ipynbcheckpoints-remove:
	find . | grep -E ".ipynb_checkpoints" | xargs rm -rf

.PHONY: pytestcache-remove
pytestcache-remove:
	find . | grep -E ".pytest_cache" | xargs rm -rf

.PHONY: build-remove
build-remove:
	rm -rf build/

.PHONY: cleanup
cleanup: pycache-remove dsstore-remove mypycache-remove ipynbcheckpoints-remove pytestcache-remove

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line, and also
# from the environment for the first two.
SPHINXOPTS    ?=
SPHINXBUILD   ?= sphinx-build
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile


# Generate pytest JSON + HTML report (repo root)
test-report:
	cd .. && python -m pytest --json-report --json-report-file=report.json

# Build docs after generating test report
html-with-tests: test-report
	@$(SPHINXBUILD) -M html "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)
	
	
# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== debian/changelog ===
mapraster (2026.01.06-3) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Mark python-mapraster-doc as Multi-Arch: foreign.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 01 Mar 2026 11:06:33 +0000

mapraster (2026.01.06-2) unstable; urgency=medium

  * Source only upload.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 22 Feb 2026 21:22:55 +0000

mapraster (2026.01.06-1) unstable; urgency=low

  * Initial release (Closes: #1124974).

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 11 Jan 2026 01:17:03 +0000

=== debian/control ===
Source: mapraster
Section: python
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Antonio Valentino <antonio.valentino@tiscali.it>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               dh-sequence-sphinxdoc,
               libjs-requirejs <!nodoc>,
               pandoc <!nodoc>,
               pybuild-plugin-pyproject,
               python3-poetry-core,
               python3-all,
               python3-ipykernel <!nodoc>,
               python3-matplotlib <!nodoc>,
               python3-nbsphinx <!nodoc>,
               python3-numpy,
               python3-pytest <!nocheck>,
               python3-rioxarray <!nocheck>,
               python3-scipy,
               python3-shapely <!nocheck>,
               python3-sphinx <!nodoc>,
               python3-sphinx-rtd-theme <!nodoc>,
               python3-xarray
Standards-Version: 4.7.3
Testsuite: autopkgtest-pkg-pybuild
Homepage: https://github.com/umr-lops/mapraster
Vcs-Browser: https://salsa.debian.org/debian-gis-team/mapraster
Vcs-Git: https://salsa.debian.org/debian-gis-team/mapraster.git
Description: Python library to interpolate xarray data in image geometry
 mapraster provides utilities to map a lon/lat raster onto an image
 grid defined by 2D longitude/latitude coordinates.
 .
 It works with xarray datasets and supports antimeridian crossing and
 NaN handling.

Package: python3-mapraster
Architecture: all
Depends: ${python3:Depends},
         ${misc:Depends}
Description: ${source:Synopsis}
 ${source:Extended-Description}

Package: python-mapraster-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: libjs-requirejs,
         ${sphinxdoc:Depends},
         ${misc:Depends}
Description: ${source:Synopsis} (documentation)
 ${source:Extended-Description}
 .
 This package provides HTML documentation.

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME=mapraster

%:
	dh $@ --buildsystem=pybuild

execute_after_dh_auto_build-indep:
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	PYTHONPATH=$(CURDIR) http_proxy='http://127.0.0.1:9/' https_proxy='https://127.0.0.1:9/' \
	sphinx-build -N -E -T -b html docs $(CURDIR)/.pybuild/docs/html/
	rm -rf $(CURDIR)/.pybuild/docs/html/.doctrees
	find $(CURDIR)/.pybuild/docs/html/ -type f -print0 | xargs --no-run-if-empty -0 \
	sed -i 's|https://cdnjs.cloudflare.com/ajax/libs/require.js/2.3.4/require.min.js|file:///usr/share/javascript/requirejs/require.min.js|g'
	python3 debian/fixdocs.py .pybuild/docs/html/examples/how_to_use.html
	python3 debian/fixdocs.py .pybuild/docs/html/examples/test_map_raster_visualization.html
endif
